/*
 *  pgm.h
 *  
 *
 *  Created by nico on Fri May 04 2001.
 *  Copyright (c) 2001 IEF. All rights reserved.
 *
 *  $Id: pgm.h,v 1.2 2003/09/11 23:10:46 nico Exp $
 *  $Log: pgm.h,v $
 *  Revision 1.2  2003/09/11 23:10:46  nico
 *  Ajout de la lecture/ecriture de fichiers PGM binaires
 *
 *  Revision 1.1.1.1  2003/09/09 14:41:04  nico
 *  Version 0.9
 *
 *  Revision 1.4  2003/07/08 11:34:49  nico
 *  Ajout de la fonction readPgmSizeFromPath
 *
 *  Revision 1.3  2003/07/07 21:52:25  nico
 *  Modification des keywords CVS
 *
 *  Revision 1.2  2003/07/07 20:23:33  nico
 *  Ajout de mot-cles CVS (auteur, revision, log)
 *
 */

#include <stdio.h>


#define PGM_NOERR 			0
#define PGM_FILE_TYPE_ERROR 		1
#define PGM_FILE_FORMAT_ERROR 		2
#define PGM_PARAM_ERROR			3
#define PGM_OPENFILE_ERROR		4
#define PGM_CREATEFILE_ERROR		5
#define PGM_MEMORY_ERROR		6

#define PGM_ASCII                       2
#define PGM_BINARY                      5

int readPgmSizeFromPath(const char *path, unsigned int *width, unsigned int *height);
int readPgmFromPath(const char *path, unsigned char *buffer, int size);
int writePgmToPath(const char *path, const unsigned char *buffer, int width, int height, unsigned short type);
