/*
 *  stack.h
 *  Anet
 *
 *  Created by nico on Mon Nov 12 2001.
 *  Copyright (c) 2001 IEF. All rights reserved.
 *
 *  $Id: stack.h,v 1.1.1.1 2003/09/09 14:41:04 nico Exp $
 *  $Log: stack.h,v $
 *  Revision 1.1.1.1  2003/09/09 14:41:04  nico
 *  Version 0.9
 *
 *  Revision 1.5  2003/09/01 16:14:01  nico
 *  No log message.
 *
 *  Revision 1.4  2003/07/20 21:06:50  nico
 *  Correction diverses apres compilation -Wall, virtualisation et reduction pour vnet (virtualnet.c)
 *
 *  Revision 1.3  2003/07/07 21:52:25  nico
 *  Modification des keywords CVS
 *
 *  Revision 1.2  2003/07/07 20:23:32  nico
 *  Ajout de mot-cles CVS (auteur, revision, log)
 *
 */

#ifndef _STACK_H_
#define _STACK_H_

typedef struct _ANET_STACK{
    unsigned *tab;
    unsigned top;
} stack;

#define stack_alloc(s,n) { (s).tab = (unsigned*)malloc((n)*sizeof(unsigned)); (s).top = 0; }
#define stack_free(s) { if ((s).tab) free((s).tab); }
#define stack_init(s) { (s).top = 0; }
#define stack_push(s,i) { (s).tab[(s).top++] = (i); }
#define stack_pop(s) ((s).tab[--((s).top)])
#define stack_head(s) ((s).tab[(s).top-1])

#endif
