/*
 *  assoc.h
 *  Anet
 *
 *  Created by Nicolas Sicard on Mon Nov 25 2002.
 *  Copyright (c) 2002 IEF. All rights reserved.
 *
 */


#ifndef _ASSOC_H_
#define _ASSOC_H_

#include "core.h"
#include "compscan.h"
#include "operator.h"

#define ASSOC(op,type) p_ ## op ## _assoc_r_ ## type
#define ASSOC_EXP(op,type) p_ ## op ## _assoc_exp_ ## type

/* Uint Associations */
/* Max Association */
void ASSOC(Max , Uint)(Uint *res, Uint *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Max , Uint)(Uint *res, Uint *src, ANET_MASK *mask, ANET_CORE *core, int flag);
/* Or Association */
void ASSOC(Or , Uint)(Uint *res, Uint *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Or , Uint)(Uint *res, Uint *src, ANET_MASK *mask, ANET_CORE *core, int flag);
/* Plus Association */
void ASSOC(Plus , Uint)(Uint *res, Uint *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Plus , Uint)(Uint *res, Uint *src, ANET_MASK *mask, ANET_CORE *core, int flag);
/* Mult Association */
void ASSOC(Mult , Uint)(Uint *res, Uint *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Mult , Uint)(Uint *res, Uint *src, ANET_MASK *mask, ANET_CORE *core, int flag);

/* Int Associations */
/* Max Association */
void ASSOC(Max , Int)(Int *res, Int *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Max , Int)(Int *res, Int *src, ANET_MASK *mask, ANET_CORE *core, int flag);
/* Or Association */
void ASSOC(Or , Int)(Int *res, Int *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Or , Int)(Int *res, Int *src, ANET_MASK *mask, ANET_CORE *core, int flag);
/* Plus Association */
void ASSOC(Plus , Int)(Int *res, Int *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Plus , Int)(Int *res, Int *src, ANET_MASK *mask, ANET_CORE *core, int flag);
/* Mult Association */
void ASSOC(Mult , Int)(Int *res, Int *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Mult , Int)(Int *res, Int *src, ANET_MASK *mask, ANET_CORE *core, int flag);

/* Ubyte Associations */
/* Max Association */
void ASSOC(Max , Ubyte)(Ubyte *res, Ubyte *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Max , Ubyte)(Ubyte *res, Ubyte *src, ANET_MASK *mask, ANET_CORE *core, int flag);
/* Or Association */
void ASSOC(Or , Ubyte)(Ubyte *res, Ubyte *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Or , Ubyte)(Ubyte *res, Ubyte *src, ANET_MASK *mask, ANET_CORE *core, int flag);
/* Plus Association */
void ASSOC(Plus , Ubyte)(Ubyte *res, Ubyte *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Plus , Ubyte)(Ubyte *res, Ubyte *src, ANET_MASK *mask, ANET_CORE *core, int flag);
/* Mult Association */
void ASSOC(Mult , Ubyte)(Ubyte *res, Ubyte *src, ANET_MASK *mask, ANET_CORE *core, int flag);
void ASSOC_EXP(Mult , Ubyte)(Ubyte *res, Ubyte *src, ANET_MASK *mask, ANET_CORE *core, int flag);


#endif
