/*
 *  mgraph.h
 *  Anet
 *
 *  Created by Nicolas Sicard on Thu Sep 19 2002.
 *  Copyright (c) 2002 IEF. All rights reserved.
 *
 *  $Id: mgraph.h,v 1.1.1.1 2003/09/09 14:41:04 nico Exp $
 *  $Log: mgraph.h,v $
 *  Revision 1.1.1.1  2003/09/09 14:41:04  nico
 *  Version 0.9
 *
 *  Revision 1.1  2003/07/25 19:33:06  nico
 *  renommage de invert.c et invert.h en mgraph.c et mgraph.h
 *
 *  Revision 1.3  2003/07/07 21:52:25  nico
 *  Modification des keywords CVS
 *
 *  Revision 1.2  2003/07/07 20:23:32  nico
 *  Ajout de mot-cles CVS (auteur, revision, log)
 *
 */

#ifndef _INVERT_H_
#define _INVERT_H_

#include "core.h"

#define INVERT_SUBNET 		s_invert
#define INVERT_SUBNET_TASK	s_invert_t
#define MASK_SUBNET		s_mask

#define ANET_INVERT		0x00000400
#define ANET_SYMMETRIZE		0x00000800

#define Torus			0

typedef struct INVERT_PARAM {
    ANET_MASK		*src1, *res;		// storing parameters
    ANET_CORE		*core;			// current topology
    unsigned 		block, size;		// block index and amount of pixel to process
    int			flag;
} INVERT_PARAM;


void INVERT_SUBNET(ANET_MASK *res, ANET_MASK *src, ANET_CORE *core, int flag);

void MASK_SUBNET(ANET_MASK *res, ANET_CORE *core, int mask_id);

#endif
