/*
 *  vreduce.h
 *  Anet
 *
 *  Created by Nicolas on Mon Apr 19 2004.
 *  Copyright (c) 2004 IEF. All rights reserved.
 *
 */


#ifndef _VREDUCE_H_
#define _VREDUCE_H_

#include "vgraph.h"
#include "operator.h"

#define VREDUCE_BIN(op,type) p_ ## op ## _vreduce_ ## type
#define VELMTWISE_BIN(op,type) p_ ## op ## _velmtwise_ ## type
#define VEXTEND(type) p_ ## op ## _vextend_ ## type

	
void VEXTEND( Ubyte )(Ubyte *vp, Ubyte *p, ANET_VNET *vnet, unsigned flag);
	
void VREDUCE_BIN( Max , Ubyte )(Ubyte *vp, Ubyte *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Min , Ubyte )(Ubyte *vp, Ubyte *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Or , Ubyte )(Ubyte *vp, Ubyte *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( And , Ubyte )(Ubyte *vp, Ubyte *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Xor , Ubyte )(Ubyte *vp, Ubyte *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Plus , Ubyte )(Ubyte *vp, Ubyte *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Mult , Ubyte )(Ubyte *vp, Ubyte *p, ANET_VNET *vnet, unsigned flag);

void VELMTWISE_BIN( Max , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Min , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Or , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( And , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Xor , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Plus , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Minus , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Mult , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Div , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Shl , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Shr , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Mod , Ubyte )(Ubyte *res, Ubyte *src1, Ubyte *src2, ANET_CORE *core, unsigned size, unsigned flag);
	
void VEXTEND( Int )(Int *vp, Int *p, ANET_VNET *vnet, unsigned flag);
	
void VREDUCE_BIN( Max , Int )(Int *vp, Int *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Min , Int )(Int *vp, Int *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Or , Int )(Int *vp, Int *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( And , Int )(Int *vp, Int *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Xor , Int )(Int *vp, Int *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Plus , Int )(Int *vp, Int *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Mult , Int )(Int *vp, Int *p, ANET_VNET *vnet, unsigned flag);

void VELMTWISE_BIN( Max , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Min , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Or , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( And , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Xor , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Plus , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Minus , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Mult , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Div , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Shl , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Shr , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Mod , Int )(Int *res, Int *src1, Int *src2, ANET_CORE *core, unsigned size, unsigned flag);
	
void VEXTEND( Uint )(Uint *vp, Uint *p, ANET_VNET *vnet, unsigned flag);
	
void VREDUCE_BIN( Max , Uint )(Uint *vp, Uint *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Min , Uint )(Uint *vp, Uint *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Or , Uint )(Uint *vp, Uint *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( And , Uint )(Uint *vp, Uint *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Xor , Uint )(Uint *vp, Uint *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Plus , Uint )(Uint *vp, Uint *p, ANET_VNET *vnet, unsigned flag);
void VREDUCE_BIN( Mult , Uint )(Uint *vp, Uint *p, ANET_VNET *vnet, unsigned flag);

void VELMTWISE_BIN( Max , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Min , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Or , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( And , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Xor , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Plus , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Minus , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Mult , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Div , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Shl , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Shr , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);
void VELMTWISE_BIN( Mod , Uint )(Uint *res, Uint *src1, Uint *src2, ANET_CORE *core, unsigned size, unsigned flag);

#endif /* _VREDUCE_H_ */
